%global tarball_version %%(echo %{version} | tr '~' '.')

Name: gnome-user-share
Version: 43.0
Release: 1%{?dist}
Summary: Gnome user file sharing

License: GPLv2+
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

BuildRequires: gcc
BuildRequires: httpd mod_dnssd
BuildRequires: meson
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: libselinux-devel
BuildRequires: gettext
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros

Requires: httpd
Requires: mod_dnssd

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in GNOME.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang gnome-user-share --with-gnome

%post
%systemd_user_post gnome-user-share-webdav.service

%preun
%systemd_user_preun gnome-user-share-webdav.service

%files -f gnome-user-share.lang
%license COPYING
%doc README NEWS
%{_libexecdir}/*
%{_datadir}/gnome-user-share
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/applications/gnome-user-share-webdav.desktop
%{_userunitdir}/gnome-user-share-webdav.service

%changelog
* Fri Sep 16 2022 Bastien Nocera <bnocera@redhat.com> - 43.0-1
+ gnome-user-share-43.0-1
- Update to 43.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 43~alpha-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Bastien Nocera <bnocera@redhat.com> - 43~alpha-1
+ gnome-user-share-43~alpha-1
- Update to 43.alpha

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.34.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 06 2019 Kalev Lember <klember@redhat.com> - 3.34.0-1
- Update to 3.34.0
- Add systemd rpm scriptlets for gnome-user-share-webdav user service

* Mon Aug 26 2019 Kalev Lember <klember@redhat.com> - 3.33.1-1
- Update to 3.33.1
- Switch to meson build system

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.32.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar 11 2019 Kalev Lember <klember@redhat.com> - 3.32.0.1-1
- Update to 3.32.0.1

* Sun Mar 10 2019 Phil Wyett <philwyett@kathenas.org> - 3.32.0-2
- Workaround upstream bug #4 and hide desktop file correctly

* Fri Mar 08 2019 Kalev Lember <klember@redhat.com> - 3.32.0-1
- Update to 3.32.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Sep 20 2018 Bastien Nocera <bnocera@redhat.com> - 3.28.0-3
+ gnome-user-share-3.28.0-3
- Remove Bluetooth dependencies, gnome-user-share only shares via WebDAV,
  obex sharing is handled through the Bluetooth panel in GNOME

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 10 2018 Kalev Lember <klember@redhat.com> - 3.28.0-1
- Update to 3.28.0

* Mon Mar 05 2018 Kalev Lember <klember@redhat.com> - 3.27.90-1
- Update to 3.27.90

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.18.3-5
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 22 2016 Kalev Lember <klember@redhat.com> - 3.18.3-1
- Update to 3.18.3

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 3.18.2-1
- Update to 3.18.2
- Don't set group tags

* Tue Mar 22 2016 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Peter Robinson <pbrobinson@fedoraproject.org> 3.18.0-2
- Update to require bluez-obexd

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90
- Use make_install macro
- Use license macro for COPYING

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 19 2014 Richard Hughes <rhughes@redhat.com> - 3.14.2-1
- Update to 3.14.2

* Sun Nov 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
- Update to 3.14.1

* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-2
- Redirect glib-compile-schemas scriptlet output to /dev/null

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Thu Sep 11 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 Richard Hughes <rhughes@redhat.com> - 3.13.2-1
- Update to 3.13.2

* Tue Jun 24 2014 Richard Hughes <rhughes@redhat.com> - 3.13.1-1
- Update to 3.13.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Richard Hughes <rhughes@redhat.com> - 3.10.2-1
- Update to 3.10.2

* Sat Dec 28 2013 Adam Williamson <awilliam@redhat.com> - 3.10.1-2
- rebuild for new gnome-bluetooth

* Thu Nov 14 2013 Richard Hughes <rhughes@redhat.com> - 3.10.1-1
- Update to 3.10.1

* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
- Update to 3.10.0

* Tue Sep 10 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.91-1
- Update to 3.9.91

* Sun Aug 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.3-3
- Rebuilt for gnome-bluetooth soname bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Bastien Nocera <bnocera@redhat.com> 3.8.3-1
- Update to 3.8.3

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Fri Mar  8 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.91-1
- Update to 3.7.91

* Thu Feb 21 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.90-1
- Update to 3.7.90

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Richard Hughes <hughsient@gmail.com> - 3.7.4-1
- Update to 3.7.4

* Wed Nov 28 2012 Matthias Clasen <mclasen@redhat.com> 3.0.4-2
- Compile schemas after installing the package, not before
  uninstalling it. Should fix some crashes (#877796)

* Wed Sep 26 2012 Kalev Lember <kalevlember@gmail.com> 3.0.4-1
- Update to 3.0.4

* Fri Aug 24 2012 Bastien Nocera <bnocera@redhat.com> 3.0.3-1
- Update to 3.0.3

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 3.0.2-1
- update to 3.0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 27 2011 Peter Robinson <pbrobinson@fedoraproject.org> 3.0.1-2
- rebuild for new gnome-bluetooth

* Mon Oct 17 2011 Bastien Nocera <bnocera@redhat.com> 3.0.1-1
- Update to 3.0.1

* Mon Apr  4 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Mon Feb 21 2011 Bastien Nocera <bnocera@redhat.com> 2.91.6-1
- Update to 2.91.6

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> - 2.30.2-4
- Rebuild against newer gtk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 2.30.2-2
- Rebuild against newer gtk

* Sun Jan  9 2011 Matthias Clasen <mclasen@redhat.com> - 2.30.2-1
- Update to 2.30.2

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> - 2.30.1-5
- Rebuild against newer gtk

* Wed Nov  3 2010 Matthias Clasen <mclasen@redhat.com> - 2.30.1-4
- Rebuild against libnotify 0.7
- Drop space-saving hack

* Tue Oct 26 2010 Parag Nemade <paragn AT fedoraproject.org> - 2.30.1-3
- Gconf2 scriptlet accepts schema file names without file extension.

* Wed Oct 06 2010 Parag Nemade <paragn AT fedoraproject.org> - 2.30.1-2
- Merge-review cleanup (#225842)

* Mon Sep 27 2010 Bastien Nocera <bnocera@redhat.com> 2.30.1-1
- Update to 2.30.1

* Thu Jul  1 2010 Matthias Clasen <mclasen@redhat.com> 2.30.0-2
- Rebuild

* Mon Mar 29 2010 Bastien Nocera <bnocera@redhat.com> 2.30.0-1
- Update to 2.30.0

* Mon Mar 15 2010 Bastien Nocera <bnocera@redhat.com> 2.29.92-1
- Update to 2.29.92

* Wed Feb 24 2010 Bastien Nocera <bnocera@redhat.com> 2.29.91-1
- Update to 2.29.91

* Mon Feb 22 2010 Tomas Bzatek <tbzatek@redhat.com> 2.28.1-5
- Don't use localized realm string when starting httpd

* Sun Feb 14 2010 Matthias Clasen <mclasen@redhat.com> 2.28.1-4
- Modernize scripts
- Fix build

* Tue Nov 10 2009 Bastien Nocera <bnocera@redhat.com> 2.28.1-3
- Fix crasher on exit when ObexFTP isn't started (#533977)

* Tue Nov 03 2009 Bastien Nocera <bnocera@redhat.com> 2.28.1-2
- Update share bar code to use the same directories as
  the sharing code itself

* Mon Oct 26 2009 Bastien Nocera <bnocera@redhat.com> 2.28.1-1
- Update to 2.28.1

* Mon Sep 21 2009 Bastien Nocera <bnocera@redhat.com> 2.28.0-1
- Update to 2.28.0

* Tue Sep 08 2009 Bastien Nocera <bnocera@redhat.com> 2.27.0-3
- Add a cluebar to have easy access to the file sharing preferences

* Mon Sep 07 2009 Bastien Nocera <bnocera@redhat.com> 2.27.0-2
- Init i18n system for gnome-user-share

* Wed Sep 02 2009 Bastien Nocera <bnocera@redhat.com> 2.27.0-1
- Update to 2.27.0

* Thu Aug 20 2009 Tomas Bzatek <tbzatek@redhat.com> - 2.26.0-6
- Do not localize realm in passwd files (#500123)

* Tue Aug 11 2009 Bastien Nocera <bnocera@redhat.com> 2.26.0-5
- Fix source URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Matthias Clasen <mclasen@redhat.com> - 2.26.0-3
- Rebuild to shrink GConf schemas

* Sun Apr  5 2009 Matthias Clasen <mclasen@redhat.com> - 2.26.0-2
- Fix a menu reference in the docs (#494253)

* Mon Mar 16 2009 - Bastien Nocera <bnocera@redhat.com> - 2.26.0-1
- Update to 2.26.0

* Tue Mar 03 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.92-1
- Update to 2.25.92

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25.91-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.91-1
- Update to 2.25.91

* Tue Feb 03 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.90-1
- Update to 2.25.90

* Thu Jan 29 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.5-2
- Export the user through the TXT record with the new mod_dnssd

* Tue Jan 27 2009 - Bastien Nocera <bnocera@redhat.com> - 2.25.5-1
- Update to 2.25.5

* Wed Dec 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.41-1
- Update to 0.41

* Mon Sep 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.40-3
- Add missing libnotify BR

* Mon Sep 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.40-2
- Add missing intltool BR

* Mon Sep 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.40-1
- Update to 0.40

* Mon Sep 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.31-3
- Add patch to port to BlueZ 4.x API

* Sun May  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.31-2
- Fix source url

* Thu Apr 03 2008 - Bastien Nocera <bnocera@redhat.com> - 0.31-1
- Update to 0.31

* Mon Mar 31 2008 - Bastien Nocera <bnocera@redhat.com> - 0.30-1
- Update to 0.30
- Fixes left-over httpd processes after logout

* Sun Feb 24 2008 - Bastien Nocera <bnocera@redhat.com> - 0.22-1
- Update to 0.22

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.21-2
- Autorebuild for GCC 4.3

* Fri Jan 25 2008 - Bastien Nocera <bnocera@redhat.com> - 0.21-1
- Update to 0.21

* Tue Jan 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.20-1
- Update to 0.20
- Remove obsolete patches

* Tue Sep 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.11-9
- Fix a memory leak

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.11-8
- Rebuild for selinux ppc32 issue.

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.11-7
- Update license field

* Thu Jul 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.11-6
- Disable the password entry for "never"

* Thu Jul 12 2007 Owen Taylor <otaylor@redhat.com> - 0.11-5
- Regenerate configure since patch1 changes configure.in

* Thu Jul 12 2007 Owen Taylor <otaylor@redhat.com> - 0.11-4
- Add a patch from SVN to export DBUS session ID via Avahi (b.g.o #455307)

* Mon Apr 23 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11-3
- Improve %%description (#235677)

* Fri Mar 23 2007 Matthias Clasen  <mclasen@redhat.com> - 0.11-2
- Don't hardwire invisible char (#233676)

* Tue Mar  6 2007 Alexander Larsson <alexl@redhat.com> - 0.11-1
- Update to 0.11 with xdg-user-dirs support

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.10-6
- Add better categories to the desktop file

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.10-5
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.10-4
- add missing BuildRequires: on httpd, so that the configure script can find
  the binary

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.10-3.1
- rebuild

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 0.10-3
- buildrequire gettext and perl-XML-Parser (#193391)

* Thu Apr 20 2006 Matthias Clasen <mclasen@redhat.com> 0.10-2
- Update to 0.10

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.9-3
- BuildRequires: gtk2-devel, libglade2-devel, libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Alexander Larsson <alexl@redhat.com> 0.9-2
- Patch config for apache 2.2

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Alexander Larsson <alexl@redhat.com> - 0.9-1
- New release with avahi 0.6 support

* Mon Nov 14 2005 Alexander Larsson <alexl@redhat.com> - 0.8-1
- update to 0.8

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.7-1
- New version, with desktop file

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- New version, switch to avahi
- Handle translations

* Fri Dec  3 2004 Alexander Larsson <alexl@redhat.com> - 0.4-1
- New version

* Fri Nov 26 2004 Alexander Larsson <alexl@redhat.com> - 0.3-1
- New version

* Thu Sep  9 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Wed Sep  8 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

